Debian Bug report logs - #626441
general: When first logging in, usb wireless keyboard/mouse is not working

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Crispy <peter_murdoch770@hotmail.com>

Date: Thu, 12 May 2011 02:21:04 UTC

Severity: important

Tags: moreinfo

Found in version 2.6.38-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, peter_murdoch770@hotmail.com, debian-devel@lists.debian.org:
Bug#626441; Package general. (Thu, 12 May 2011 02:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Crispy <peter_murdoch770@hotmail.com>:
New Bug report received and forwarded. Copy sent to peter_murdoch770@hotmail.com, debian-devel@lists.debian.org. (Thu, 12 May 2011 02:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Crispy <peter_murdoch770@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Wed, 11 May 2011 21:19:03 -0500
Package: general
Severity: important
Tags: lfs

Using some hp keyboard/mouse wireless combo.  The remote sensor which plugs
into usb is model no KBRF1251.  Basically the mouse and keyboard are not
responsive when first logging in.  When disconnecting and reconnecting remote
sensor, functionality is restored.  The same symptom is reproducible when
switching users - please provide required information for further
debug/analysis.

uname - a
Linux CRiSPY-V2 2.6.38-2-amd64 #1 SMP Thu Apr 7 04:28:07 UTC 2011 x86_64
GNU/Linux

source repo's are debian testing, all packages updated.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Removed tag(s) lfs. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 May 2011 03:03:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 May 2011 03:03:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 May 2011 03:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Thu, 12 May 2011 03:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 03:03:16 GMT) Full text and rfc822 format available.

Message #16 received at 626441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Crispy <peter_murdoch770@hotmail.com>, 626441@bugs.debian.org
Subject: Re: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Thu, 12 May 2011 04:02:44 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-05-11 at 21:19 -0500, Crispy wrote:
> Package: general
> Severity: important
> Tags: lfs
> 
> Using some hp keyboard/mouse wireless combo.  The remote sensor which plugs
> into usb is model no KBRF1251.  Basically the mouse and keyboard are not
> responsive when first logging in.  When disconnecting and reconnecting remote
> sensor, functionality is restored.  The same symptom is reproducible when
> switching users - please provide required information for further
> debug/analysis.

Please provide the kernel log as shown by 'dmesg'.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 May 2011 03:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Thu, 12 May 2011 05:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter_murdoch770@hotmail.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 05:12:14 GMT) Full text and rfc822 format available.

Message #23 received at 626441@bugs.debian.org (full text, mbox):

From: peter_murdoch770@hotmail.com
To: "Ben Hutchings" <ben@decadent.org.uk>, 626441@bugs.debian.org
Subject: Re: Bug#626441: general: When first logging in, usb wirelesskeyboard/mouse is not working
Date: Thu, 12 May 2011 04:58:12 +0000
Ben, I will send this tomorrow.  I found a match on gdm-greeter from a fedora distro, will look for this as well.  

I have also noticed tweaks to ensure usb devices don't take sound cards.

Impressive response time, glad to make your acquaintance.
Peter (mobile)

-----Original Message-----
From: Ben Hutchings <ben@decadent.org.uk>
Date: Thu, 12 May 2011 04:02:44 
To: Crispy<peter_murdoch770@hotmail.com>; <626441@bugs.debian.org>
Subject: Re: Bug#626441: general: When first logging in, usb wireless
 keyboard/mouse is not working

On Wed, 2011-05-11 at 21:19 -0500, Crispy wrote:
> Package: general
> Severity: important
> Tags: lfs
> 
> Using some hp keyboard/mouse wireless combo.  The remote sensor which plugs
> into usb is model no KBRF1251.  Basically the mouse and keyboard are not
> responsive when first logging in.  When disconnecting and reconnecting remote
> sensor, functionality is restored.  The same symptom is reproducible when
> switching users - please provide required information for further
> debug/analysis.

Please provide the kernel log as shown by 'dmesg'.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Fri, 13 May 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 04:03:04 GMT) Full text and rfc822 format available.

Message #28 received at 626441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Peter ." <peter_murdoch770@hotmail.com>
Cc: 626441@bugs.debian.org
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Fri, 13 May 2011 05:02:03 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-05-13 at 01:10 +0000, Peter . wrote:
> Attached dmesg output.
> 
> More info about the bug I mentioned here -
> https://bugzilla.redhat.com/show_bug.cgi?id=582642

Probably a different bug.

> Not seeing where that workaround to prevent usb devices to be
> recognized as audio cards is, but I'm sure I found that while trying
> to get GeForce220 hdmi sound with a workaround via manually adding
> snd_hda_intel to /etc/modules 
> 
> One other probably not related note is that I blacklist nouveau to
> enable x to work properly on my monitor - it was still occurring with
> vesa though.
> 
> Let me know if you need any other information - I'm happy to help any
> way I can as time allows.

I don't see any errors in the kernel log.  Seems like the USB devices
are detected straight away.

Did these devices work any better with any earlier kernel version?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Sat, 14 May 2011 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Peter ." <peter_murdoch770@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 14 May 2011 16:24:03 GMT) Full text and rfc822 format available.

Message #33 received at 626441@bugs.debian.org (full text, mbox):

From: "Peter ." <peter_murdoch770@hotmail.com>
To: <ben@decadent.org.uk>
Cc: <626441@bugs.debian.org>
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Sat, 14 May 2011 16:21:03 +0000
[Message part 1 (text/plain, inline)]
Ben,

I  have another box where uname -a returns:
Linux crispy 2.6.32-5-686 #1 SMP Tue Mar 8 21:36:00 UTC 2011 i686 GNU/Linux

The devices are working fine without the symptom when first logging in or swapping users.  I've attached the dmesg from this box, but unfortunately the kernel is not the only difference on config.

Aside from the possibly unrelated bug with gdm-greeter, do you have any other suggestions in where to look to find root cause?  Any other diagnostics or logging I can generate for debugging on the environment where it is failing?

> From: ben@decadent.org.uk
> To: peter_murdoch770@hotmail.com
> CC: 626441@bugs.debian.org
> Date: Fri, 13 May 2011 05:02:03 +0100
> Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
> 
> On Fri, 2011-05-13 at 01:10 +0000, Peter . wrote:
> > Attached dmesg output.
> > 
> > More info about the bug I mentioned here -
> > https://bugzilla.redhat.com/show_bug.cgi?id=582642
> 
> Probably a different bug.
> 
> > Not seeing where that workaround to prevent usb devices to be
> > recognized as audio cards is, but I'm sure I found that while trying
> > to get GeForce220 hdmi sound with a workaround via manually adding
> > snd_hda_intel to /etc/modules 
> > 
> > One other probably not related note is that I blacklist nouveau to
> > enable x to work properly on my monitor - it was still occurring with
> > vesa though.
> > 
> > Let me know if you need any other information - I'm happy to help any
> > way I can as time allows.
> 
> I don't see any errors in the kernel log.  Seems like the USB devices
> are detected straight away.
> 
> Did these devices work any better with any earlier kernel version?
> 
> Ben.
> 
> -- 
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
 		 	   		  
[Message part 2 (text/html, inline)]
[626441_Part2.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Sun, 15 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #38 received at 626441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Peter ." <peter_murdoch770@hotmail.com>, 626441@bugs.debian.org
Subject: Re: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Sun, 15 May 2011 14:47:58 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-05-14 at 16:21 +0000, Peter . wrote:
> Ben,
> 
> I  have another box where uname -a returns:
> Linux crispy 2.6.32-5-686 #1 SMP Tue Mar 8 21:36:00 UTC 2011 i686
> GNU/Linux
> 
> The devices are working fine without the symptom when first logging in
> or swapping users.
>
> I've attached the dmesg from this box, but unfortunately the kernel is
> not the only difference on config.
[...]

I really want to see a log from the same system where 2.6.38-2-amd64
fails, so we can tell whether or not the bug has been introduced
recently.  Is there some reason why you can't install
linux-image-2.6.32-5-amd64 (or another earlier version from
snapshot.debian.org) on that system?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Tue, 17 May 2011 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 01:33:03 GMT) Full text and rfc822 format available.

Message #43 received at 626441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Peter ." <peter_murdoch770@hotmail.com>
Cc: 626441@bugs.debian.org
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Tue, 17 May 2011 02:29:37 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-05-15 at 17:19 +0000, Peter . wrote:
> Ben,
> 
> I pointed apt to squeeze and fetched the 2.6.32-5-amd64 image and the
> issue persists.  For these logs I've swapped the video to point to
> vesa (instead of tainting nvidia drivers), but I don't think it going
> to be relevant.
> 
> I've attached the output from dmesg in this environment as requeasted
> - I  don't think this is logging all of the events of interest, so I
> have also attached kern and xorg logs.  There are logs of interest in
> kern.log where usb device fail to be configured (error -71), and it
> also looks like both usb 6-2 and generic-usb are trying to handle the
> device.

'usb 6-2' is the address that Linux assigned to the device.  The
messages with these prefix are generated by the USB core, not a driver.

> I think we've ruled out that an issue was introduced between 2.6.32
> and 2.6.38 kernel.  Please let me know if you have any suggestions or
> if there's anything else I can do to help diagnose.

Agreed.

Please report this bug upstream at <https://bugzilla.kernel.org> under
product 'Drivers', component 'Input Devices'.  Include the kernel log
from Linux 2.6.38 and the fact that the behaviour under 2.6.32 is the
same.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Tue, 17 May 2011 01:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Peter ." <peter_murdoch770@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 01:33:05 GMT) Full text and rfc822 format available.

Message #48 received at 626441@bugs.debian.org (full text, mbox):

From: "Peter ." <peter_murdoch770@hotmail.com>
To: <ben@decadent.org.uk>, <626441@bugs.debian.org>
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Tue, 17 May 2011 02:29:52 +0100
[Message part 1 (text/plain, inline)]
Ben,

I pointed apt to squeeze and fetched the 2.6.32-5-amd64 image and the issue persists.  For these logs I've swapped the video to point to vesa (instead of tainting nvidia drivers), but I don't think it going to be relevant.

I've attached the output from dmesg in this environment as requeasted - I  don't think this is logging all of the events of interest, so I have also attached kern and xorg logs.  There are logs of interest in kern.log where usb device fail to be configured (error -71), and it also looks like both usb 6-2 and generic-usb are trying to handle the device.

I think we've ruled out that an issue was introduced between 2.6.32 and 2.6.38 kernel.  Please let me know if you have any suggestions or if there's anything else I can do to help diagnose.

> From: ben@decadent.org.uk
> To: peter_murdoch770@hotmail.com; 626441@bugs.debian.org
> Date: Sun, 15 May 2011 14:47:58 +0100
> Subject: Re: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
> 
> On Sat, 2011-05-14 at 16:21 +0000, Peter . wrote:
> > Ben,
> > 
> > I  have another box where uname -a returns:
> > Linux crispy 2.6.32-5-686 #1 SMP Tue Mar 8 21:36:00 UTC 2011 i686
> > GNU/Linux
> > 
> > The devices are working fine without the symptom when first logging in
> > or swapping users.
> >
> > I've attached the dmesg from this box, but unfortunately the kernel is
> > not the only difference on config.
> [...]
> 
> I really want to see a log from the same system where 2.6.38-2-amd64
> fails, so we can tell whether or not the bug has been introduced
> recently.  Is there some reason why you can't install
> linux-image-2.6.32-5-amd64 (or another earlier version from
> snapshot.debian.org) on that system?
> 
> Ben.
> 
> -- 
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
 		 	   		  
[Message part 2 (text/html, inline)]
[Xorg.0.log (text/x-log, attachment)]
[626441_dmesg.log (text/x-log, attachment)]
[kern.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Sun, 05 Jun 2011 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Jun 2011 05:54:03 GMT) Full text and rfc822 format available.

Message #53 received at 626441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Peter ." <peter_murdoch770@hotmail.com>
Cc: 626441@bugs.debian.org
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Sun, 05 Jun 2011 06:50:34 +0100
[Message part 1 (text/plain, inline)]
[Please reply-to-all, including the bug address.]

On Sat, 2011-05-28 at 23:17 +0000, Peter . wrote:
> The issue is now resolved after updates deployed some time last
> week.  
> 
> Do you think there would be any value in determining which update
> resolved it, or should we consider this a closed / invalid issue ?
[...]

The most important thing is the version, really.  I assume it was
2.6.39-1?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Tue, 07 Jun 2011 02:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Peter ." <peter_murdoch770@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Jun 2011 02:54:15 GMT) Full text and rfc822 format available.

Message #58 received at 626441@bugs.debian.org (full text, mbox):

From: "Peter ." <peter_murdoch770@hotmail.com>
To: <ben@decadent.org.uk>
Cc: <626441@bugs.debian.org>
Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
Date: Tue, 7 Jun 2011 02:50:00 +0000
[Message part 1 (text/plain, inline)]

> From: ben@decadent.org.uk
> To: peter_murdoch770@hotmail.com
> CC: 626441@bugs.debian.org
> Date: Sun, 5 Jun 2011 06:50:34 +0100
> Subject: RE: Bug#626441: general: When first logging in, usb wireless keyboard/mouse is not working
> 
> [Please reply-to-all, including the bug address.]
> 
> On Sat, 2011-05-28 at 23:17 +0000, Peter . wrote:
> > The issue is now resolved after updates deployed some time last
> > week.  
> > 
> > Do you think there would be any value in determining which update
> > resolved it, or should we consider this a closed / invalid issue ?
> [...]
> 
> The most important thing is the version, really.  I assume it was
> 2.6.39-1?
Sorry for a lack of clarification, the kernel was not one of the updates.  The issue was resolved by other package updates - I can look back at the update history near 5/28/11 and roll back some to try and reproduce it to zero in on what the root cause and solution was, but I would rather forego this unless this was deemed important.  Thanks for your responsiveness and contribution.
> Ben.
> 
> -- 
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#626441; Package linux-2.6. (Sat, 22 Mar 2014 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mrharrisonmark16666@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 22 Mar 2014 13:15:05 GMT) Full text and rfc822 format available.

Message #63 received at 626441@bugs.debian.org (full text, mbox):

From: "Mr.Harrison Mark" <web1111@att.net>
To: undisclosed-recipients:;
Subject: Please view the attachment, and get back to me.
Date: Sun, 23 Mar 2014 01:28:03 +1300
[Message part 1 (text/plain, inline)]


[Mr. Harrison Mark.docx (application/vnd.openxmlformats-officedocument.wordprocessingml.document, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:33:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.